Bug 462500 - BUG: warning when pata_sil680 loaded
BUG: warning when pata_sil680 loaded
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: John Feeney
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 14:47 EDT by John Feeney
Modified: 2009-01-20 15:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:13:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Feeney 2008-09-16 14:47:25 EDT
Description of problem:
When RHEL5.3 is booted on a system with a Dell DRAC4, the following warning
messages are written to syslog.

BUG: warning at drivers/pci/pci.c:727/pcim_enable_device() (Not tainted)
 [<c04f110a>] pcim_enable_device+0x7b/0x97
 [<f88ddf5c>] ata_pci_sff_init_one+0x62/0xe4 [libata]
 [<c05532ab>] __driver_attach+0x0/0x6b
 [<f892343c>] sil680_init_one+0x1e9/0x1f8 [pata_sil680]
 [<c04f2d64>] pci_device_probe+0x36/0x57
 [<c05531fe>] driver_probe_device+0x42/0x92
 [<c05532ef>] __driver_attach+0x44/0x6b
 [<c0552c29>] bus_for_each_dev+0x37/0x59
 [<c0553149>] driver_attach+0x11/0x13
 [<c05532ab>] __driver_attach+0x0/0x6b
 [<c0552931>] bus_add_driver+0x64/0xfd
 [<c04f2e89>] __pci_register_driver+0x3e/0x58
 [<c043f238>] sys_init_module+0x1ae0/0x1c95
 [<c04ee980>] pci_bus_read_config_byte+0x0/0x58
 [<c0614d4f>] do_page_fault+0x31e/0x5d3
 [<c0404ead>] sysenter_past_esp+0x56/0x79

Version-Release number of selected component (if applicable):
RHEL5.3 2.6.18-113.el5

How reproducible:
Every time


Expected results:
No warnings

Additional info:
This was introduced by the compilation of pata_sil680 as well as a 
modification to pata_sil680 in rhel5.3.
Comment 1 RHEL Product and Program Management 2008-09-16 15:12:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Don Zickus 2008-09-19 11:39:30 EDT
in kernel-2.6.18-116.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 5 errata-xmlrpc 2009-01-20 15:13:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.